/* $Id: vircam_filt.h,v 1.2 2009/11/17 10:21:32 jim Exp $
 *
 * This file is part of the VIRCAM Pipeline
 * Copyright (C) 2008 Cambridge Astronomy Survey Unit
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: jim $
 * $Date: 2009/11/17 10:21:32 $
 * $Revision: 1.2 $
 * $Name: vcam-1_3_0 $
 */

#ifndef VIRCAM_FILT_H
#define VIRCAM_FILT_H

/* Macros for defining stats to be done */

#define MEDIANCALC 1
#define MEANCALC 2

/* Function prototypes */

extern void vircam_bfilt(float *data, unsigned char *bpm, int nx, int ny,
			 int filt, int stat, int axis);
extern void vircam_dostat(float *data, unsigned char *bpm, 
			  unsigned char *goodval, int npts, int nfilt, 
			  int whichstat); 

#endif

/* 

$Log: vircam_filt.h,v $
Revision 1.2  2009/11/17 10:21:32  jim
dostat is now called vircam_dostat and is exported

Revision 1.1  2008/10/24 10:53:13  jim
new entry


*/
